cancel
Showing results for 
Search instead for 
Did you mean: 

Magento 2 проблема установки

Magento 2 проблема установки

Коллеги, нужна помощь. После установки получаю сообщение об ошибке

{"0":"Please update your modules: Run \"composer install\" from the Magento root directory.\nThe following modules are outdated:\nMagento_Catalog db schema version: defined in codebase - 2.2.4, currently installed - 2.2.5\nMagento_Quote db schema version: defined in codebase - 2.0.7, currently installed - 2.0.8\nMagento_ConfigurableProduct db schema version: defined in codebase - 2.2.0, currently installed - 2.2.1","1":"#0 \/home\/cdolls70\/public_html\/m2\/vendor\/magento\/framework\/Interception\/Interceptor.php(121): Magento\\Framework\\Module\\Plugin\\DbStatusValidator->beforeDispatch(Object(Magento\\Framework\\App\\FrontController\\Interceptor), Object(Magento\\Framework\\App\\Request\\Http))\n#1 \/home\/cdolls70\/public_html\/m2\/vendor\/magento\/module-page-cache\/Model\/App\/FrontController\/BuiltinPlugin.php(73): Magento\\Framework\\App\\FrontController\\Interceptor->Magento\\Framework\\Interception\\{closure}(Object(Magento\\Framework\\App\\Request\\Http))\n#2 \/home\/cdolls70\/public_html\/m2\/vendor\/magento\/framework\/Interception\/Interceptor.php(135): Magento\\PageCache\\Model\\App\\FrontController\\BuiltinPlugin->aroundDispatch(Object(Magento\\Framework\\App\\FrontController\\Interceptor), Object(Closure), Object(Magento\\Framework\\App\\Request\\Http))\n#3 \/home\/cdolls70\/public_html\/m2\/vendor\/magento\/framework\/Interception\/Interceptor.php(153): Magento\\Framework\\App\\FrontController\\Interceptor->Magento\\Framework\\Interception\\{closure}(Object(Magento\\Framework\\App\\Request\\Http))\n#4 \/home\/cdolls70\/public_html\/m2\/generated\/code\/Magento\/Framework\/App\/FrontController\/Interceptor.php(26): Magento\\Framework\\App\\FrontController\\Interceptor->___callPlugins('dispatch', Array, Array)\n#5 \/home\/cdolls70\/public_html\/m2\/vendor\/magento\/framework\/App\/Http.php(135): Magento\\Framework\\App\\FrontController\\Interceptor->dispatch(Object(Magento\\Framework\\App\\Request\\Http))\n#6 \/home\/cdolls70\/public_html\/m2\/generated\/code\/Magento\/Framework\/App\/Http\/Interceptor.php(24): Magento\\Framework\\App\\Http->launch()\n#7 \/home\/cdolls70\/public_html\/m2\/vendor\/magento\/framework\/App\/Bootstrap.php(256): Magento\\Framework\\App\\Http\\Interceptor->launch()\n#8 \/home\/cdolls70\/public_html\/m2\/index.php(39): Magento\\Framework\\App\\Bootstrap->run(Object(Magento\\Framework\\App\\Http\\Interceptor))\n#9 {main}","url":"\/","script_name":"\/index.php"}

Ни Composer install ни апгрэйд схемы базы данных не помогает. Magento 2.2.4 взятая из официального источника. Что делать.

http://smartceo.ru
Методология организации интернет-торговли, технические решения, консалтинг.
3 REPLIES

Re: Magento 2 проблема установки

Здравствуй @evmedvedev

 

вы установили новую версию magento 2.2.4?

 

Если да - после установки - запускайте ниже команды последовательно

 

php bin/magento setup:upgrade
php bin/magento setup:di:compile
php bin/magento setup:static-content:deploy -f 
php bin/magento cache:clean
php bin/magento cache:flush

 Надеюсь, поможет !

if issue solved,Click Kudos & Accept as Solution

Re: Magento 2 проблема установки

Пробовал, но возможно не то и не так. В результате подозреваю что проблема была в том, что на хосте, где разворачивал сайт не был установлен git. Именно с его помощью грузятся демоданные и выполняются определенные процедуры в нужном порядке. Так что не забывайте требовать с хостпровайдера установку гита. С композером соответственно проблем нет.

http://smartceo.ru
Методология организации интернет-торговли, технические решения, консалтинг.

Re: Magento 2 проблема установки

Hi @evmedvedev

 

Да, я понимаю, это необходимо!

 

дайте мне знать, если вам нужна дополнительная помощь в этом

 

В любом случае рады помочь и продолжать помогать Smiley Happy

if issue solved,Click Kudos & Accept as Solution